Package org.opensaml.soap.soap11

# Interface FaultCode

All Superinterfaces:
  `SOAPObject`, `XMLObject`, `XSQName`

All Known Implementing Classes:
  `FaultCodeImpl`

public interface FaultCode extends SOAPObject, XSQName
SOAP 1.1 faultcode.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final QName`
`CLIENT`
FaultCode value `Client`.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final QName`
`MUST_UNDERSTAND`
FaultCode value `MustUnderstand`.
`static final QName`
`SERVER`
FaultCode value `Server`.
`static final QName`
`VERSION_MISMATCH`
FaultCode value `VersionMismatch`.

### Fields inherited from interface org.opensaml.core.xml.schema.XSQName

`TYPE_LOCAL_NAME, TYPE_NAME`

## Method Summary

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSQName

`getValue, setValue`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### VERSION_MISMATCH

@Nonnull static final QName VERSION_MISMATCH
FaultCode value `VersionMismatch`.

### MUST_UNDERSTAND

@Nonnull static final QName MUST_UNDERSTAND
FaultCode value `MustUnderstand`.

### SERVER

@Nonnull static final QName SERVER
FaultCode value `Server`.

### CLIENT

@Nonnull static final QName CLIENT
FaultCode value `Client`.